Package com.google.javascript.jscomp

# Class Scope.Arguments

java.lang.Object
com.google.javascript.jscomp.Scope.Var
com.google.javascript.jscomp.Scope.Arguments

All Implemented Interfaces:
  `StaticReference<JSType>`, `StaticSlot<JSType>`

Enclosing class:
  `Scope`

public static class Scope.Arguments extends Scope.Var
A special subclass of Var used to distinguish "arguments" in the current scope.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object other)`
`int`
`hashCode()`

### Methods inherited from class com.google.javascript.jscomp.Scope.Var

`getDeclaration, getInitialValue, getInputName, getJSDocInfo, getName, getNameNode, getNode, getParentNode, getSourceFile, getSymbol, getType, isBleedingFunction, isConst, isDefine, isGlobal, isLocal, isNoShadow, isTypeInferred, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Method Details

### equals

public boolean equals(Object other)

Overrides:
  `equals` in class `Scope.Var`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Scope.Var`